pluginName = IMP
provider = grogra.de

/plugins/de.grogra.imp.ShortDescription = The IMP plugin adds facilities to display and edit graphs as defined by the Graph \
	project from above. Furthermore, it defines support for images, fonts and some other data types. Finally, it contains a \
	simple implementation of an HTTP server. This is an interesting feature and enables GroIMP models to serve as dynamic content \
	providers for web applications. \
	<br>Additionally, the IMP plugin contains the default application of GroIMP, the GUI. 
/plugins/de.grogra.imp.DeletePermission = false

/applications/de.grogra.GroIMP.Name = GroIMP

/disable/options/de.grogra.imp.Name = IMP

/ui/options/highlightOnMove.Name = Highlight objects on mouse move
/ui/options/highlightOnClick.Name = Highlight objects on mouse click
/ui/options/changeToolOnClick.Name = Change the 3d Tool when clicking

/ui/commands/newproject.Name = Project

/ui/commands/close.Name = &Close
/ui/commands/close.AcceleratorKey = ctrl W
/ui/commands/close.Icon = `icon actions/fileclose`

/ui/commands/exit.Name = E&xit
/ui/commands/exit.AcceleratorKey = ctrl Q
/ui/commands/exit.Icon = `icon actions/exit`

/ui/commands/export.Name = &Export ...
/ui/commands/export.Icon = `icon actions/fileexport`

/ui/commands/export/scene.Name = complete scene
/ui/commands/export/selected.Name = under selected node

/ui/commands/snapshot.Name = &Snapshot
/ui/commands/snapshot.Icon = `icon apps/ksnapshot`

/ui/commands/addfile.Name = &Add File
/ui/commands/addfile.Icon = `icon actions/fileopen`

/ui/commands/linkfile.Name = &Link File
/ui/commands/linkfile.Icon = `icon actions/fileopen`

/ui/commands/startLocalFileSynchronization.Name = Start local File synchronization
/ui/commands/stopLocalFileSynchronization.Name = Stop local File synchronization 

/ui/commands/options/add_opt.Name = Create current workbench option file
/ui/commands/options/del_opt.Name = Delete current option file

/help/commands/about/aboutsoftware.Name = &About GroIMP
/help/commands/web/openGroIMPPage.Name = Open &Grogra.de
/help/commands/web/openWikiPage.Name = Open GroIMP &Wiki
/help/commands/web/openYouTube.Name = &YouTube channel
#/help/commands/about/update.Name = Check for &Updates
/help/commands/system/system.Name = &System Info
/help/commands/web/openjavadoc.Name = API Documentation


/workbench/menu/src/file.Name = &File

/workbench/menu/src/file/openclose/new.Name = &New
/workbench/menu/src/file/openclose/new.Icon = `icon actions/filenew`

/workbench/menu/src/file/openclose/openrecent.Name = Open &Recent

/workbench/menu/src/file/http.Name = Open &HTTP Server

/workbench/menu/src/edit.Name = &Edit

/workbench/menu/src/objects.Name = &Objects

/workbench/menu/src/panels.Name = &Panels

/workbench/menu/src/net.Name = &Net

/workbench/menu/src/help.Name = &Help
/workbench/menu/src/help/feedback/feedback.Name = Provide &Feedback
/workbench/menu/src/help/feedback/feedback.Icon = `icon actions/write`
/workbench/menu/src/help/help/functionBrowser.Name = &Function Browser

/ui/panels/objects/meta.Name = Meta Objects
/ui/panels/objects/meta.Icon = `icon actions/misc`

/ui/panels/graph.Name = Graph
/ui/panels/graph/hierarchicobjectinspector.Name = Hierarchical Object Inspector
/ui/panels/graph/flatobjectinspector.Name = Flat Object Inspector
/ui/panels/graph/textualoverview.Name = Textual Overview

/attributes/text.Name = Text
/attributes/color.Name = Colour
/attributes/geometry.Name = Geometry
/attributes/geometry/shape.Name = Shape
/attributes/geometry/transformation.Name = Transformation

/objects/images.Name = Images
/objects/images.Icon = `icon filesystems/folder_image`
/objects/images/file.Name = From File


/ui/panels/objects/images.docLink = GroIMP User Manual/Using GroIMP/Common Panels

/objects/files/add.Name = Add File
/objects/files/add_dir.Name = Add Directory

/objects/objects.Name = &Objects
/objects/objects/file.Name = &Insert File
/objects/objects/file.ShortDescription = Insert file into scene
/objects/objects/file.Icon = `icon actions/fileopen`

/objects/fonts.Name = &Fonts
/objects/fonts/font.Name = &Font

/project/objects/meta.Name = Meta Objects

/ui/editors/font.Name = Font
/ui/editors/font/name.Name = Name
/ui/editors/font/size.Name = Size

/renderers.Name = Renderer

/scenes.Name = Scenes

/http.Name = HTTP Server
/http/server.Name = Open HTTP Server
/http/server/port.Name = Port
/http/commands/open.Name = Open Project
/http/commands/open/directory.Name = Root directory

/connection.Name = GroIMP Server
/connection/server.Name = Start GroIMP Server
/connection/server/port.Name = Port
client.Name = Open GroIMP Client

aboutapp.Title = About GroIMP
aboutapp.Name = GroIMP 2.1.6 - Interactive Modelling Platform
aboutapp.tabs = about contributors license changes splashscreen
aboutapp.tab.about = About
aboutapp.tab.about.content = about.html
aboutapp.tab.contributors = Contributors
aboutapp.tab.contributors.content = contributors.html
aboutapp.tab.license = License
aboutapp.tab.license.content = gpl.html
aboutapp.tab.changes = Changes
aboutapp.tab.changes.content = changes.html
aboutapp.tab.splashscreen = Splash screen
aboutapp.tab.splashscreen.content = splashscreen.html

app.version.Name = 2.1.6
updatedialog.new.version.message = There is a new version of GroIMP available. Please visit Grogra.de to get it.
updatedialog.same.version.message = No updates available. Please check again later.
updatedialog.title = Upgrade status

checkforupdatesautomatically.title = Check for updates automatically
checkforupdatesautomaticallyYes.title = Yes, check for updates automatically on program start
checkforupdatesautomaticallyNo.title = Do not check for updates automatically

aboutplugin.License = GPL

aboutplugin.tabs = license
aboutplugin.tab.license = License
aboutplugin.tab.license.content = gpl.html

thirdparty.list = epsgraphics BrowserLauncher

thirdparty.epsgraphics.Name = EpsGraphics2D 0.9.0
thirdparty.epsgraphics.Copy = Copyright \u00a9 2001-2004 Paul James Mutton
thirdparty.epsgraphics.License = GPL
thirdparty.epsgraphics.URL = http://www.jibble.org

thirdparty.BrowserLauncher.Name = BrowserLauncher2
thirdparty.BrowserLauncher.Copy = Copyright \u00a9 2005-2012 Jeff Chapman
thirdparty.BrowserLauncher.License = GNU Lesser General Public License (LGPL)
thirdparty.BrowserLauncher.URL = http://browserlaunch2.sourceforge.net/index.shtml
thirdparty.BrowserLauncher.Details = `cat LICENSE_LGPL-3.0.txt`

thirdparty.MySQLConnector.Name = MySQL Connector/J 2.0.14
thirdparty.MySQLConnector.Copy = Copyright \u00a9 2002 MySQL-AB
thirdparty.MySQLConnector.License = GPL 2
thirdparty.MySQLConnector.URL = http://mmmysql.sourceforge.net/

msg.tool.instantiation-failed = Instantiation of tool {0} failed.

setFilterButton.Name = Set Filter
setHierarchicFilterButton.Name = Set Hierarchic Filter
removeFilterButton.Name = Remove Filter
expandAllButton.Name = Expand All
collapseAllButton.Name = Collapse All

refreshButton.Name = Refresh
qualifiedCheckBox.Name = Qualified
idCheckBox.Name = Node Id's 

textualOverview.panel.nodes.Name = Nodes
textualOverview.panel1.Name = Topology Graph
textualOverview.panel2.Name = Component Graph
textualOverview.panel3.Name = Meta Graph
textualOverview.emptyText.Name = <empty>

/ui/panels/functionBrowser.Name = Function Browser
/ui/panels/functionBrowser.Icon = `icon actions/view_text`
functionBrowser.result.panel.Name = Results
functionBrowser.description.Name = Description
functionBrowser.search.Name = Search

feedback.send.Name = Send
feedback.cancel.Name = Cancel
feedback.thx.Name = Thank you for your feedback
feedback.title.Name = Feedback
feedback.dilog.name.Name = Your Name (optional)
feedback.dialog.email.Name = eMail (optional)
feedback.dialog.type.Name = Feedback type
feedback.dialog.comment.Name = Comment
feedback.feedbacktype.general.Name = General
feedback.feedbacktype.suggestion.Name = Suggestion
feedback.feedbacktype.question.Name = Question
feedback.feedbacktype.request.Name = Feature request
feedback.feedbacktype.bug.Name = Bug report
feedback.action.message1.Name = Please enter some information
feedback.action.message2.Name = JDBC Driver could not be loaded!
feedback.action.message3.Name = Can't connect to feedback server!
feedback.action.message4.Name = Can't commit feedback!
feedback.action.message5.Name = Thank you for your feedback
feedback.action.status.message1.Name = Connection to feedback server ...
feedback.action.status.message2.Name = Committing feedback entry...
feedback.action.status.message3.Name = Done.
feedback.action.message.type1.Name = Hint
feedback.action.message.type2.Name = Error
feedback.action.message.type3.Name = Feedback
feedback.action.server.Name = jdbc:mysql://ufgb966.forst.uni-goettingen.de:3306/feedback
feedback.action.server.user.Name = feedback
feedback.action.server.pw.Name = secret

systeminfo.dilog.title.Name = System Info
systeminfo.dilog.cancel.Name = Close
systeminfo.dilog.export.Name = Export
systeminfo.dilog.tab0.Name = System
systeminfo.dilog.tab1.Name = Java
systeminfo.dilog.tab2.Name = GroIMP
systeminfo.dilog.tab3.Name = Libraries
systeminfo.dilog.tab4.Name = Flux Settings
systeminfo.dilog.libtab0.Name = Installed Libraries
systeminfo.dilog.libtab1.Name = Open GL
systeminfo.dilog.libtab2.Name = Open CL
systeminfo.dilog.libtab3.Name = Path Variables
systeminfo.dilog.property0.Name = java.vendor
systeminfo.dilog.property1.Name = java.runtime.name
systeminfo.dilog.property2.Name = java.version
systeminfo.dilog.property3.Name = java.vm.info
systeminfo.dilog.property4.Name = java.vm.name
systeminfo.dilog.property5.Name = java.vm.specification.name
systeminfo.dilog.property6.Name = java.vm.specification.vendor
systeminfo.dilog.property7.Name = java.vm.specification.version
systeminfo.dilog.property8.Name = java.vm.vendor
systeminfo.dilog.property9.Name = java.vm.version
systeminfo.dilog.property10.Name = java.home
systeminfo.dilog.property11.Name = sun.arch.data.model
systeminfo.dilog.property12.Name = os.name
systeminfo.dilog.property13.Name = os.version
systeminfo.dilog.property14.Name = os.arch
systeminfo.dilog.property15.Name = Available processors (cores)
systeminfo.dilog.property16.Name = Free memory (MB)
systeminfo.dilog.property17.Name = Maximum memory (MB)
systeminfo.dilog.property18.Name = Total memory available to JVM (MB)
systeminfo.dilog.property19.Name = sun.cpu.isalist
systeminfo.dilog.property20.Name = sun.os.patch.level
systeminfo.dilog.groimp0.Name = GroIMP version
systeminfo.dilog.groimp1.Name = GroIMP bit version
systeminfo.dilog.groimp2.Name = developer version
systeminfo.dilog.groimp3.Name = release version
systeminfo.dilog.groimp4.Name = user.dir
systeminfo.dilog.groimp5.Name = user.home
systeminfo.dilog.groimp8.Name = Executed in
systeminfo.dilog.groimp9.Name = Build date
systeminfo.dilog.instlib0.Name = Search libraries under
systeminfo.dilog.instlib1.Name = Following libraries are found
systeminfo.dilog.instlib2.Name = java.ext.dirs
systeminfo.dilog.instlib3.Name = java.library.path
systeminfo.dilog.instlib4.Name = java.class.path
systeminfo.dilog.instlib5.Name = GroIMP ext folder
systeminfo.dilog.instlib6.Name = Following native libraries are loaded
systeminfo.dilog.jocl0.Name = Platform Version
systeminfo.dilog.jocl1.Name = Platform Name
systeminfo.dilog.jocl2.Name = Platform Profile
systeminfo.dilog.jocl3.Name = Vendor
systeminfo.dilog.jocl4.Name = Extensions
systeminfo.dilog.jocl5.Name = Number of Devices
systeminfo.dilog.jocl6.Name = Number of Platforms
systeminfo.dilog.lib0.Name = Found
systeminfo.dilog.lib1.Name = Could not find
systeminfo.dilog.lib2.Name = Found native library
systeminfo.dilog.lib3.Name = Could not find native library
systeminfo.dilog.lib4.Name = Native loaded
systeminfo.dilog.lib5.Name = Native library failed to load!
systeminfo.dilog.export0.Name = Informations saved under
systeminfo.dilog.export1.Name = Error during export
systeminfo.dilog.fluxsettingsgroups0.Name = LightModel settings
systeminfo.dilog.fluxsettingsgroups1.Name = OpenCL settings
systeminfo.dilog.fluxsettingsgroups2.Name = Render settings
systeminfo.dilog.fluxsettings0.Name = Spectral Resolution
systeminfo.dilog.fluxsettings1.Name = Tessellation flatness
systeminfo.dilog.fluxsettings2.Name = Minimum batch size
systeminfo.dilog.fluxsettings3.Name = Maximum batch size
systeminfo.dilog.fluxsettings4.Name = Prefered iteration duration
systeminfo.dilog.fluxsettings5.Name = Precompile
systeminfo.dilog.fluxsettings6.Name = GPU
systeminfo.dilog.fluxsettings7.Name = Multiple Devices
systeminfo.dilog.fluxsettings8.Name = Performance Devices
systeminfo.dilog.fluxsettings9.Name = Depth
systeminfo.dilog.fluxsettings10.Name = Minimum Power
systeminfo.dilog.fluxsettings11.Name = Spectral
systeminfo.dilog.fluxsettings12.Name = Dispersian
systeminfo.dilog.fluxsettings13.Name = Ray offset

build-date = 2024-10-28

export.graph.failed.Name = Failed to save graph
save.unsupported.Name = Save unsupported
